# apt_rpm – apt_rpm package manager

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Manages packages with apt-rpm. Both low-level (rpm) and high-level (apt-get) package manager binaries required.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pkg - / required |  | name of package to install, upgrade or remove.

state
-

Choices:
- absent
- present ←

Indicates the desired package state.

update_cache
boolean

Choices:
- no ←
- yes

update the package database first `apt-get update`.

## Examples

    - name: Install package foo
      apt_rpm:
        pkg: foo
        state: present

    - name: Remove package foo
      apt_rpm:
        pkg: foo
        state: absent

    - name: Remove packages foo and bar
      apt_rpm:
        pkg: foo,bar
        state: absent

    # bar will be the updated if a newer version exists
    - name: Update the package database and install bar
      apt_rpm:
        name: bar
        state: present
        update_cache: yes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Evgenii Terechkov (@evgkrsk)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.